%from Stepan Pchelkin and Serge Gale

function G = G(q)
%returns the G matrix from the manipulator model

global m1 m2;
global Cmx1 Cmx2;
global Cmy1 Cmy2;


G_11 = m1 * (0.981e1 * cos(q(1)) * Cmx1 - 0.981e1 * sin(q(1)) * Cmy1) + m2 * (0.981e1 * (cos(q(1)) * cos(q(2)) - sin(q(1)) * sin(q(2))) * Cmx2 + 0.981e1 * (-cos(q(1)) * sin(q(2)) - sin(q(1)) * cos(q(2))) * Cmy2);
G_12 = m2 * (0.981e1 * (cos(q(1)) * cos(q(2)) - sin(q(1)) * sin(q(2))) * Cmx2 + 0.981e1 * (-cos(q(1)) * sin(q(2)) - sin(q(1)) * cos(q(2))) * Cmy2);


G = [G_11; G_12];


end