%---------------------------code by Sigurd Fjerdingen---------------------
classdef FA
%Abstract function approximator class for the Matlab Reinforcement 
%Learning library

    properties (SetAccess = protected)
        indim = 0; % Vector dimension for inputs
        outdim = 0; % Vector dimension for outputs
    end % properties (SetAccess = protected)
    
    methods (Abstract)
        val = Calculate(obj,inputs) %Calculate FA output based on input
        obj = Train(obj,inputs,diff)%Trains the FA based on current inputs
    end % methods (Abstract)
end % classdef
