%from Stepan Pchelkin

function G = G(q)
%returns the G matrix from the manipulator mode

global m2 m3;
global lmx2 lmy2;
global lmx3 lmz3;

G_2 = m2 * (-0.981e1 * sin(q(2)) * lmx2 - 0.981e1 * cos(q(2)) * lmy2 - 0.353160e1 * sin(q(2))) + m3 * (0.981e1 * (cos(q(2)) * sin(q(3)) + sin(q(2)) * cos(q(3))) * lmx3 + 0.981e1 * (-cos(q(2)) * cos(q(3)) + sin(q(2)) * sin(q(3))) * lmz3 - 0.981e1 * (-0.445e0 * sin(q(3)) + 0.360e0) * sin(q(2)) - 0.436545e1 * cos(q(2)) * cos(q(3)));
G_3 = m3 * (0.981e1 * (cos(q(2)) * sin(q(3)) + sin(q(2)) * cos(q(3))) * lmx3 + 0.981e1 * (-cos(q(2)) * cos(q(3)) + sin(q(2)) * sin(q(3))) * lmz3 - 0.436545e1 * cos(q(2)) * cos(q(3)) + 0.436545e1 * sin(q(2)) * sin(q(3)));

G = [0; G_2; G_3];

end